This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 53946 - Kernel panic on boot of SMP kernel (I think)
Kernel panic on boot of SMP kernel (I think)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-23 21:23 EDT by Mike Westkamper
Modified: 2008-08-01 12:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike Westkamper 2001-09-23 21:23:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
Kernel panic: Attempted to kill idle task
In idle task - not syncing


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot default
2.
3.
	

Actual Results:  Kernel Panic

Expected Results:  Boot

Additional info:

RH Linux 7.1 Deluxe/Intel (RH30000US) (RH30000US)
Installed RedHat 7.1 from CD (purchased). Default installed the 
workstation.
The motherboard is a Micro-Star 945D Pro version 1.0. There are two cpu's 
installed, two 72 GB ide drives and CDrom. When the system re-boots after 
install I get a kernel panic the info on the screen is below. It happens 
every time. It boots successfully with the UP kernel.
------------------------------------
Unable to handle kernel NULL pointer dereference
at Virtual address 00000018
Printing EIP:00000018
pgd entry c0101000: 00000000
pmd entry c0101000: 00000000
... pmd not present
Oops: 0000
CPU:1
EIP: 0010:00000018
EFLAGS: 0010246
eax: 00000000 ebx: c0107290 ecx: 00000032 edx: c145c000
esi: c145c000 edi: c145c000 ebp: c0107290 esp: c145dfb0
ds: 0018 es: 0018 ss: 0018
Process Swapper
   (pid:0, stackpage c145d000)
Stack
A lot to copy, but I can get it if it will help...
Call trace: [<c0107342>] [<c0185859>]
Code: Bad EIP Value
Kernel panic: Attempted to kill idle task
In idle task - not syncing
Comment 1 Jim Harris 2002-06-18 22:53:40 EDT
I think this is the same issue:

I have a Digital Celebris, 64 megs memory, 2 "classic" 166 mhz Pentium chips, 
64 megs mem. a 170 meg IDE (/boot) and two fast/wide SCSI drives on a Q-logic 
IPE SCSI card.

I installed 7.1 (2.4.2-2 SMP) and it works like a champ.
I updated to the 2.4.9-34 SMP kernel, and every reboot ends in a kernel panic 
("Attempted to kill init!")

2.4.9-34 UP kernel always boots successfully.

The displayed stack-frame:

Oops: 000
Kernel 2.4.9-34smp
CPU:     0
EIP:     0010:[<c0114457>]  Not tainted
EFLAGS:  00010246
EIP is at IO_APC_get_PCI_irq_vector [kernel] 0x17
eax: 00000000   ebx: c122ec00   ecx: 00000000   edx: 00000000
esi: 00000010   edi: 00000001   ebp: c1117fab   esp: c1117f80
ds: 0018   es:0018   ss: 0018
Process swapper (pid: 1, stackpage=c1117000)
Stack: 00000001 ffffffff c122ec00 00000010 00000001 c1117fab c02f49ad 00000000
       00000001 00000000 0008e000 c1116000 c02effc0 c0105000 0008e000 c02f4621
       00000000 c02d4cac 00000000 c0249cff c01b0e76 c1116000 c02f092b c0105288
Call Trace: [<c0105000>] stext [kernel] 0x0
[<co249cff>] .rodata.str1.1 [kernel] 0x11fa
[<co1b0e76>] pci_init [kernel] 0x6
[<c0105288>] init [kernel] 0x28
[<c0105000>] stext [kernel] 0x0
[<c0105856>] kernel_thread [kernel] 0x26
[<c0105260>] init [kernel] 0x0


Code: 83 3c 90 ff 75 23 52 68 00 24 23 c0 e8 e8 52 00 00 8b 44 24
 <0>Kernel panic: Atttempted to kill init!

end stack frame
Comment 2 Jim Harris 2002-06-19 00:23:45 EDT
Update:

I did some snooping around on Bugzilla, and found bug 63296 (viz: 7.3 RH)
that sounds suspiciously like this one....  one guy put up a stack-frame that 
was almost the spittin' image of the one I entered above....

There are also some interesting proposed solutions/workarounds.

Question:  how many of these updated kernels would work with 7.1?

(BTW)  I originally tried installing 7.3 on this system and gave it up because 
it was so painful.... I back-rev'd to 7.1 just to see what was what.  I may try 
going back to 7.3, if I can get the kernel they suggest...

Jim
Comment 3 Bugzilla owner 2004-09-30 11:39:11 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.